#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libtonezone2 preinstallation
#
# Creation   :  2018-10-07 holbru
# Last update:  $Id: preinstall.sh 65511 2019-05-25 15:57:54Z hbfl $
#
# Copyright (c) 2018-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libtonezone2

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check dahdi-tools)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/dahdi-tools-files.txt ]
    then
        sed -i '/libtonezone.so.2/d' /etc/filelist.d/dahdi-tools-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
